2009-03-23  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* NEWS:
	* configure.ac:
	updated for 0.2.5 release

	* src/gnome-color-chooser.glade:
	* src/mainwindow.cc:
	updated year and translator notes

	* src/utils.cc:
	(minor debug string change)

2009-03-23  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/gnome-color-chooser.glade:
	marked a string ('<b>Compiz</b>') as not translatable

	* src/main.cc:
	moved handling of include statement in ~/.gtkrc-2.0 to utils.(h|cc)

	* src/mainwindow.cc:
	* src/mainwindow.h:
	the file ~/.gtkrc-2.0 is now modified on-the-fly and not at program start only;
	this means that it is adapted everytime you click on apply or revert.
	the revert button doesn't only reset all settings but also reverts all changes
	made to ~/.gtkrc-2.0

	* src/utils.cc:
	* src/utils.h:
	added some gtkrc-syntax-awareness to check_include() ;-)
	added remove_include() to remove an include statement from a gtkrc file

2009-01-11  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* profiles/compact.xml.in:
	added prefix to make compact profile compatible to tooltip settings of
	clearlooks 2.16.x theme

	* src/gnome-color-chooser.xml.in:
	* src/gnome-color-chooser.glade:
	added settings to theme GNOME's start menue (GNOME 2.24+ needed),
	set all GtkAdjustments of spin buttons to zero (removes compile
	warnings with GTK+ 2.14+)

2009-01-05  Werner Pantke  <wpantke@punk-ass-bitch.org>

	The HAPPY NEW YEAR commit:

	* src/main.cc:
	FIX: changed wrong string assignment that made gnome-color-chooser
	create an include in ~/.gtkrc-2.0-gnome-color-chooser instead of
	~/.gtkrc-2.0 with the effect that gnome-color-chooser settings
	weren't applied on fresh installs anymore :( sorry, guys! ;-)
	more details:
	http://gnomecc.sourceforge.net/forum/index.php?topic=19.msg46#msg46

2008-09-08  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* NEWS:
	updated news for the upcoming 0.2.4 release

	* m4/link_as_needed.m4:
	updated linker test script for newer autotools/g++ versions

	* src/gnome-color-chooser.1:
	changed homepage URL to http://gnomecc.sourceforge.net

	* src/gnome-color-chooser.glade:
	updated homepage URL and translator list in aboutdialog

	* src/gnome-color-chooser.xml.in:
	changed panel matchings, changed some translator notes

	* src/mainwindow.cc:
	changed revert button that it doesn't apply its changes on its own

2008-09-03  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/gnome-color-chooser.glade:
	marked "gtk-revert-to-saved" button as not translatable

2008-09-01  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/gnome-color-chooser.glade:
	* src/mainwindow.cc:
	* src/mainwindow.h:
	added revert button that instantly resets all theme modifications

2008-09-01  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/validatorwindow.cc:
	made ValidatorWindow appear in taskbar if started with
	  --validator-only,
	added line and coloumn numbers in error messages

2008-07-27  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* po/POTFILES.in:
	added src/validatorwindow.cc

	* po/de.po:
	100% translated strings as usual ;-)

	* src/Makefile.am:
	added validatorwindow.(h|cc)

	* src/checkbutton.cc:
	made comparison of checkbutton value (true/false) case-insensitive

	* src/configloader.cc:
	first preparation of the schema loader for newer schema formats

	* src/exporter.cc:
	* src/exporter.h:
	(minor) moved an include from header to source file

	* src/gnome-color-chooser.1:
	added new command line options (filename and --validator-only)

	* src/gnome-color-chooser.glade:
	added validator window and its menu entry in the main window

	* src/main.cc:
	added custom command line options (filename of a GNOMECC theme to
	load and --validator-only that starts the Engine Schema Validator
	only instead of the full application)

	* src/mainwindow.cc:
	* src/mainwindow.h:
	made mainwindow able to be initialized with a GNOMECC theme instead
	of user settings, added menuentry Tools -> Engine Schema Validator

	* src/utils.cc:
	* src/utils.h:
	added Utils::Xml::get_language(node), Utils::String::to_lower(string)

	* src/validatorwindow.cc:
	* src/validatorwindow.h:
	initial commit

2008-05-27  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/gnome-color-chooser.xml.in:
	made combobox settings not affect the dropdown menu of comboboxes

2008-05-26  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* po/de.po:
	translated new strings

	* src/gnome-color-chooser.glade:
	* src/gnome-color-chooser.xml.in:
	* THANKS:
	added new tab with color options for buttons and comboboxes, thanks
	to nitrofurano for proposing this.

2008-05-19  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* NEWS:
	updated release notes for upcoming version 0.2.4 with listing of
	already	implemented changes

	* po/POTFILES.in:
	added newly internationalized source files:
	- src/main.cc
	- src/ioexception.cc

	* po/de.po:
	the usual update to provide 100% translated strings ;-)

	* src/main.cc:
	now most error messages that prevent the app from starting are
	shown in an error dialog instead of terminal output,
	g_warning() is set to use those error dialogs, either.

	* src/ioexception.cc:
	* src/ioexception.h: 
	* src/mainwindow.cc:
	* src/mainwindow.h:
	added new translatable strings

	* src/utils.cc:
	* src/utils.h:
	added subclass 'UI' that introduces support for error dialogs

2008-05-07  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* configure.ac:
	bumped program version to 0.2.4 (still in development phase though)

	* po/de.po:
	updated German translation

	* THANKS:
	* src/gnome-color-chooser.glade:
	* src/gnome-color-chooser.xml.in:
	added color settings for hyperlinks in GTK+ applications,
	thank you to norsen, who desperately searched for such an option.

2008-05-06  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/checkbutton.cc:
	* src/checkbutton.h:
	* src/colorbutton.cc:
	* src/colorbutton.h:
	* src/combobox.cc:
	* src/combobox.h:
	* src/configloader.cc:
	* src/configloader.h:
	* src/enginewindow.cc:
	* src/enginewindow.h:
	* src/exception.h:
	* src/exporter.cc:
	* src/exporter.h:
	* src/filechooserbutton.cc:
	* src/filechooserbutton.h:
	* src/fontbutton.cc:
	* src/fontbutton.h:
	* src/gtkrcexporter.cc:
	* src/gtkrcexporter.h:
	* src/gtpexporter.cc:
	* src/gtpexporter.h:
	* src/infowindow.cc:
	* src/infowindow.h:
	* src/ioexception.h:
	* src/main.cc:
	* src/mainwindow.cc:
	* src/mainwindow.h:
	* src/modwidget.cc:
	* src/modwidget.h:
	* src/slider.cc:
	* src/slider.h:
	* src/spinbutton.cc:
	* src/spinbutton.h:
	* src/treehandler.cc:
	* src/treehandler.h:
	* src/utils.cc:
	* src/utils.h:
	decreased compile time by ~20% (using a non-hyperthreaded single-core
	CPU) by using forward declarations in header files wherever possible
	and moving most includes from header to source files,
	removed usage of "using namespace std",
	replaced <string.h> by <cstring>

2008-04-30  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/configloader.cc:
	* src/configloader.h:
	* src/enginewindow.cc:
	* src/enginewindow.h:
	* src/modwidget.cc:
	* src/modwidget.h:
	* src/slider.cc: (only minor indent changes)
	* src/spinbutton.cc: (only minor indent changes)
	reals and integers of engine schemas are now changeable by a
	spinbutton additionally to a slider (both are synchronized with
	each other).

2008-04-29  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* po/POTFILES.in:
	* po/de.po:
	added new .xml.in and updated German translation

	* src/Makefile.am:
	* src/gnome-color-chooser.db:
	* src/gnome-color-chooser.xml.in:
	* src/main.cc:
	* src/treehandler.cc:
	renamed gnome-color-chooser.db to gnome-color-chooser.xml.in, which
	introduces localization support for category names

2008-04-29  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/configloader.cc:
	* src/configloader.h:
	first overall cleanup, introducing glib as direct dependency

	* src/treehandler.cc:
	* src/treehandler.h:
	minor cleanup

	* src/utils.cc:
	* src/utils.h:
	minor cleanup and localization rewrite: translations are now chosen
	by best_score principle

2008-04-27  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* configure.ac:
	replaced AC_PROG_INTLTOOL with IT_PROG_INTLTOOL macro,
	bumped needed intltool version to 0.35.5,
	IT_PROG_INTLTOOL is now called _after_ AM_GLIB_GNU_GETTEXT

2008-04-27  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/gnome-color-chooser.db:
	removed panel / notification area workaround that also affected evolution's
	email preferences dialog

2008-04-13  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/gnome-color-chooser.db:
	* src/gnome-color-chooser.glade:
	added possibility to remove Menubar and Toolbar shadows,
	changing of panel colors now also affect fast-user-switch-applet

2008-04-08  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/configloader.cc:
	* src/configloader.h:
	* src/exception.h:
	* src/exporter.cc:
	* src/exporter.h:
	* src/ioexception.cc:
	* src/mainwindow.cc:
	* src/mainwindow.h:
	* src/modwidget.cc:
	* src/modwidget.h:
	* src/treehandler.cc:
	* src/treehandler.h:
	* src/utils.cc:
	* src/utils.h:
	fixed compiler warnings (use ./configure --with-warnings to check)

2008-04-08  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* src/configloader.h:
	* src/gtkrcexporter.h:
	* src/treehandler.h:
	* src/utils.h:
	fixed FTBFS that occured when building with g++-4.3

2008-04-08  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* configure.ac:
	* src/Makefile.am:
	added AM_MAINTAINER_MODE and GNOME_MAINTAINER_MODE_DEFINES macros to
	get rid of deprecated library functions

	* src/configloader.h:
	* src/main.cc:
	* src/mainwindow.h:
	* src/treehandler.cc:
	* src/treehandler.h:
	removed usage of deprecated defines in <libgnome/gnome-i18n.h>,
	replaced with gettext macros defined in <glib/gi18n.h>

2008-03-30  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* autogen.sh:
	* configure.ac:
	* m4/Makefile.am:
	* m4/link_as_needed.m4:
	add linking with --as-needed option where available to strip down
	(indirect) dependencies - if you encounter problems with this new
	default behavior (possible if you're using binutils < 2.17), just
	run ./configure or ./autogen.sh respectively with
	--disable-link-as-needed option. If your compiler/linker doesn't
	support linking with --as-needed, the configure script should
	detect and disable it anyway.

2008-03-12  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* Makefile.am:
	* autogen.sh:
	* configure.ac:
	* m4/Makefile.am:
	readded m4/ directory

	* m4/lf_cxx.m4:
	* m4/lf_host_type.m4:
	* m4/lf_warnings.m4:
	added some (slightly modified) macros from GNU Autotoolset as they
	don't seem to be very common - this should fix FTBFS for svn users

2008-02-10  Werner Pantke  <wpantke@punk-ass-bitch.org>

	* AUTHORS:
	* COPYING:
	* INSTALL:
	* Makefile.am:
	* NEWS:
	* THANKS:
	* config.guess:
	* config.h.in:
	* config.sub:
	* configure.ac:
	* depcomp:
	* doc/Makefile.am:
	* doc/Makefile.in:
	* install-sh:
	* intltool-extract.in:
	* intltool-merge.in:
	* intltool-update.in:
	* m4/Makefile.am:
	* m4/Makefile.in:
	* missing:
	* po/Makefile.in.in:
	* profiles/Makefile.am:
	* profiles/Makefile.in:
	* src/Makefile.am:
	* src/Makefile.in:
	* src/checkbutton.cc:
	* src/checkbutton.h:
	* src/colorbutton.cc:
	* src/colorbutton.h:
	* src/combobox.cc:
	* src/combobox.h:
	* src/configloader.cc:
	* src/configloader.h:
	* src/enginewindow.cc:
	* src/enginewindow.h:
	* src/exception.h:
	* src/exporter.cc:
	* src/exporter.h:
	* src/filechooserbutton.cc:
	* src/filechooserbutton.h:
	* src/fontbutton.cc:
	* src/fontbutton.h:
	* src/gnome-color-chooser.1:
	* src/gtkrcexporter.cc:
	* src/gtkrcexporter.h:
	* src/gtpexporter.cc:
	* src/gtpexporter.h:
	* src/infowindow.cc:
	* src/infowindow.h:
	* src/ioexception.cc:
	* src/ioexception.h:
	* src/main.cc:
	* src/mainwindow.cc:
	* src/mainwindow.h:
	* src/modwidget.cc:
	* src/modwidget.h:
	* src/slider.cc:
	* src/slider.h:
	* src/spinbutton.cc:
	* src/spinbutton.h:
	* src/treehandler.cc:
	* src/treehandler.h:
	* src/utils.cc:
	* src/utils.h:
	changed licenses to GNU GPL3+, removed m4 subdirectory, removed
	some auto-generated files, removed version string from window title

2008-02-03  Werner Pantke  <wpantke@punk-ass-bitch.org>
	* src/autogen.sh:
	replaced own checks with calling gnome-autogen.sh

2008-01-31  Werner Pantke  <wpantke@punk-ass-bitch.org>
	* src/gnome-color-chooser.desktop.in:
	added startup notification

2008-01-11  Werner Pantke  <wpantke@punk-ass-bitch.org>
	* src/mainwindow.cc:
	fixed typo ("appereance" -> "appearance")
